Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 1478 - Strange directory prefixes in files
Summary: Strange directory prefixes in files
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Martin Schlemmer (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-02 15:11 UTC by Edward Ceaser
Modified: 2003-02-04 19:42 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Edward Ceaser 2002-04-02 15:11:40 UTC
When emerging XMMS and other apps, I get errors similar to this one:

/bin/sh ../libtool --mode=link c++  -march=i686 -O3 -pipe  -o xmms
-export-dynamic bmp.o skin.o util.o output.o fft.o input.o effect.o general.o
visualization.o fullscreen.o plover.o pluginenum.o playlist.o controlsocket.o
dock.o widget.o sbutton.o pbutton.o tbutton.o textbox.o menurow.o hslider.o
monostereo.o vis.o svis.o number.o playstatus.o playlist_list.o
playlist_slider.o playlist_popup.o eq_graph.o eq_slider.o main.o skinwin.o
prefswin.o playlistwin.o equalizer.o hints.o about.o sm.o getopt.o getopt1.o
urldecode.o mkdtemp.o -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic
-lgmodule -lgthread -lglib -lpthread -ldl -lXi -lXext -lX11 -lm -lpthread
-Wl,-rpath,/usr/lib -laviplay -L/usr/lib -Wl,-rpath,/usr/lib -lSDL -lpthread
-lSM -lICE -lXxf86vm  ../libxmms/libxmms.la  
libtool: link: cannot find the library
`/var/tmp/portage/audiofile-0.2.3-r1/image//usr/lib/libaudiofile.la'
make[4]: *** [xmms] Error 1
make[4]: Leaving directory `/var/tmp/portage/xmms-1.2.7-r3/work/xmms-1.2.7/xmms'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/var/tmp/portage/xmms-1.2.7-r3/work/xmms-1.2.7/xmms'
make[2]: *** [all-recursive-am] Error 2
make[2]: Leaving directory `/var/tmp/portage/xmms-1.2.7-r3/work/xmms-1.2.7/xmms'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/xmms-1.2.7-r3/work/xmms-1.2.7'
make: *** [all-recursive-am] Error 2
Comment 1 Edward Ceaser 2002-04-02 15:23:26 UTC
Here's a list of all the .la files that this is occuring in

balin@balin lib $ grep -e "/var/tmp/portage" *.la
libIIOP.la:libdir='/var/tmp/portage/ORBit-0.5.14-r1/image//usr/lib'
libImlib.la:libdir='/var/tmp/portage/imlib-1.9.13-r1/image//usr/lib'
libaviplay.la:dependency_libs=' -L/usr/kde/2/lib -L/usr/lib /usr/lib/libSDL.la -
        
lesd -L/usr/X11R6/lib /usr/lib/libesd.la -laudiofile -lasound /var/tmp/portage/a
        
udiofile-0.2.3-r1/image//usr/lib/libaudiofile.la /usr/lib/libasound.la -lX11 -lX
        
ext -lXxf86vm -lXxf86dga -lXv -lXinerama -lpthread -lnsl -ldl -lm'
libbfd.la:dependency_libs=' -L/var/tmp/portage/binutils-2.11.92.0.12.3-r2/work/b
        
inutils-2.11.92.0.12.3/libiberty/pic -liberty'
libgdk_imlib.la:libdir='/var/tmp/portage/imlib-1.9.13-r1/image//usr/lib'
libgnomeui.la:dependency_libs=' -L/usr/lib /usr/lib/libesd.la -laudiofile -lasou
        
nd /usr/lib/libasound.la /usr/lib/libaudiofile.la -ldb1 /var/tmp/portage/imlib-1
        
.9.13-r1/image//usr/lib/libgdk_imlib.la -L/usr/X11R6/lib -lSM -lICE /usr/lib/lib
        
gtk.la /usr/lib/libgdk.la -lgmodule -lglib /usr/lib/libgmodule.la /usr/lib/libgl
        
ib.la -ldl -lXi -lXext -lX11 -lz -lm'
libgnorba.la:dependency_libs=' -L/usr/lib /usr/lib/libORBitCosNaming.la /usr/lib
        
/libORBit.la /var/tmp/portage/ORBit-0.5.14-r1/image//usr/lib/libIIOP.la /usr/lib
        
/libORBitutil.la /usr/lib/libglib.la -lz -lm'
libimlib-bmp.la:libdir='/var/tmp/portage/imlib-1.9.13-r1/image//usr/lib'
libimlib-gif.la:libdir='/var/tmp/portage/imlib-1.9.13-r1/image//usr/lib'
libimlib-jpeg.la:libdir='/var/tmp/portage/imlib-1.9.13-r1/image//usr/lib'
libimlib-png.la:libdir='/var/tmp/portage/imlib-1.9.13-r1/image//usr/lib'
libimlib-ppm.la:libdir='/var/tmp/portage/imlib-1.9.13-r1/image//usr/lib'
libimlib-ps.la:libdir='/var/tmp/portage/imlib-1.9.13-r1/image//usr/lib'
libimlib-tiff.la:libdir='/var/tmp/portage/imlib-1.9.13-r1/image//usr/lib'
libimlib-xpm.la:libdir='/var/tmp/portage/imlib-1.9.13-r1/image//usr/lib'
libmmxnow.la:libdir='/var/tmp/portage/avifile-0.6.0.20011220-r1/image//usr/lib'
Comment 2 Seemant Kulleen (RETIRED) gentoo-dev 2002-04-04 07:11:38 UTC
for your XMMS error, what version of avifile have you got installed?
Comment 3 Seemant Kulleen (RETIRED) gentoo-dev 2002-04-04 11:56:33 UTC
Az, this stuff is beyond me
Comment 4 Martin Schlemmer (RETIRED) gentoo-dev 2002-04-04 13:35:54 UTC
Latest libtool fixed this it seems (1.4.1-r4).